squareball 0.2.0.50-8649 A general-purpose library for C99

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

sb-compat.h File Reference

Compatibility helper functions. More...

Go to the source code of this file.

## Functions
int | sb_compat_status_code (int waitstatus)

## Detailed Description

Compatibility helper functions.

## Function Documentation

int sb_compat_status_code | ( | int | waitstatus | ) |

Function that converts a wait status returned by a child process (e.g. the return value of `system(3)` function or the second argument of `waitpid(2)` syscall) into a status code, as found in a shell.

Parameters

  waitstatus | The wait status.

Returns
  The status code.